/*---------------------------------------------------------------------------\
| Project:	Generic LV2 PIC18F458 CAN node firmware
|
| File:		interrupts.h
|
| Descr.:	Includes for the serial.c module
|
|    Date    | Notes
|------------|------------------------------------------------------------
| 06/01/2002 | Created.
\---------------------------------------------------------------------------*/

#ifndef _INTS_H	// Don't include more than once (last line = #endif)
#define _INTS_H

//------------------------------------------------------------------------
// Typedefs
//------------------------------------------------------------------------


//------------------------------------------------------------------------
// #defines
//------------------------------------------------------------------------



//------------------------------------------------------------------------
// Global function declarations
//------------------------------------------------------------------------

void InitializeInterrupts (void);


#define	EnablePrioritizedInts()		RCONbits.IPEN = 1
#define	DisablePrioritizedInts()	RCONbits.IPEN = 0

#define	EnableHighPriorityInts()	INTCONbits.GIEH = 1
#define	DisableHighPriorityInts()	INTCONbits.GIEH = 0
#define EnableLowPriorityInts()		INTCONbits.GIEL = 1
#define DisableLowPriorityInts()	INTCONbits.GIEL = 0


//------------------------------------------------------------------------
// Global variable declarations (extern)
//------------------------------------------------------------------------

// None


#endif			// _INTS_H
